Updates the status of a product.
PUT
/api/v1/provision/admin/products/{productId}/status
const url = 'https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status';const options = {method: 'PUT'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/statusThe possible values for lifecycleStatus are:
- Draft: The product is being authored and is not yet available for deployment via entitlements.
- Preview: The product is available to selected users ahead of general availability.
- Published: The product is generally available and can be deployed via entitlements.
- Disabled: The product is temporarily unavailable for new and existing deployments.
- Archived: The product is permanently retired and no longer available.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” productId
required
string format: uuid
The unique identifier of the product to update.
Query Parameters
Section titled “Query Parameters ” lifecycleStatus
integer
The new status to set for the product.
Responses
Section titled “ Responses ”No content if the update is successful, or an error status if the product is not found.